#!/bin/bash

readarray nodes < /root/Emulator/nodes


scp="scp"
srcPathFilter="/root/logs/*"
srcPath="/root/logs/"
# this is coupled with tool for report parsing, do not change
nfdump="nfdump.csv"
nfdumpDir="nfdump"
rootReportsPath="/root/reports/"
tempReportsDir="temp/"
tempReportsPath=$rootReportsPath$tempReportsDir
zip="zip"
ssh="ssh"


if [ ! -d "$rootReportsPath" ]; then
  echo Destination directory $rootReportsPath does not exist. Creating.
  mkdir $rootReportsPath
fi

if [ ! -d "$tempReportsPath" ]; then
  echo Destination directory $tempReportsPath does not exist. Creating.
  mkdir $tempReportsPath
fi

for i in "${nodes[@]}"
do

   node=$(echo $i|tr -d '\n')
   mkdir $tempReportsPath$node
   # convert nfcapd files to csv (nfdump) file
   cmd="$ssh $node \"nfdump -R $srcPath$nfdumpDir -o csv > $srcPath$nfdump\""
   echo "$cmd"
   eval $cmd
   # copy logs to local host
   cmd="$scp -r $node:$srcPathFilter $tempReportsPath$node"
   echo "$cmd"
   eval $cmd
   # delete logs on remote box
   sshCmd="$ssh $node \"rm -rf $srcPathFilter\""
   echo "$sshCmd"
   eval $sshCmd
done

#when all is copied, zip it
defaultReportName="report"$(date +%H-%M-%S)
cmd="mv $tempReportsPath $rootReportsPath$defaultReportName$1"
echo "$cmd"
eval $cmd

tar -zcvf $rootReportsPath$defaultReportName$1.tar.gz  $rootReportsPath$defaultReportName$1

cmd="rm -rv $rootReportsPath$defaultReportName$1"
echo "$cmd"
eval $cmd


