#/usr/bin/bash

# distribute_ssh.sh distributes files needed for ssh configuration
# on each node to temporary location.

if [ "$1" == "" ]; then
    echo "Please provide nodes input file. Exiting."
    exit 1
fi

echo 'Distributing ssh and nodes files'
while IFS='' read -r node || [[ -n "$node" ]]; do
    echo $node
    # create an ssh folder on each box to copy these scripts
    if ! ssh -n root@$node "test -d /tmp/ssh" ; 
    then
        ssh -n root@$node 'mkdir /tmp/ssh/'
    fi
    scp * root@$node:/tmp/ssh/
    scp "$1" root@$node:/tmp
done < "$1"

